# $Revision: 1.28 $, $Date: 2005/05/17 22:21:52 $
Summary:	An interactive fractal landscape generator
Summary(pl):	Interaktywny generator krajobrazw fraktalnych
Name:		terraform
Version:	0.9.0
Release:	5
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://dl.sourceforge.net/terraform/%{name}-%{version}.tar.gz
# Source0-md5:	a1af0cbb6719b49b30d326df9d06434a
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-acfix.patch
Patch2:		%{name}-acfix2.patch
Patch3:		%{name}-desktop.patch
Patch4:		%{name}-po.patch
URL:		http://terraform.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	gnome-print-devel
BuildRequires:	gtk+-devel
BuildRequires:	libxml-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Terraform is an interactive height field generation and manipulation
program, giving you the ability to generate random terrain and
transform it.

%description -l pl
Terraform to interaktywny program do generowania i obrabiania terenw.
Pozwala wygenerowa losowy teren i przetransformowa go.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
rm -f missing
%{__gettextize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure \
	--disable-sgmltools
	# don't work with our sgml-tools

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install desktop-links/Terraform.desktop $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop
install desktop-links/terraform.png $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog docs/*.sgml
%attr(755,root,root) %{_bindir}/terraform
%{_datadir}/terraform
%{_desktopdir}/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: terraform.spec,v $
Revision 1.28  2005/05/17 22:21:52  ankry
- desktop fixed, rel. 5

Revision 1.27  2004/08/04 06:23:24  ankry
- i18n fixes (-po patch), rel. 4

Revision 1.26  2004/07/04 22:29:24  adamg
- applnk -> vfolders; release 3

Revision 1.25  2004/04/26 19:04:31  adamg
- release 2 for Ac (1 is for Ra)

Revision 1.24  2003/05/28 13:02:13  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 06:27:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/05/07 10:12:17  trojan
- added acfix2 patch

Revision 1.21  2003/04/08 14:07:28  qboosh
- use http for sources from sourceforge

Revision 1.20  2003/01/18 22:57:39  juandon
- removed two lines with define

Revision 1.19  2002/10/09 13:14:48  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.18  2002/06/05 08:23:03  qboosh
- added acfix patch needed for autoconf 2.53

Revision 1.17  2002/06/05 04:26:55  kloczek
- use new %doc.

Revision 1.16  2002/05/21 23:14:49  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.15  2002/05/14 14:34:20  trojan
- updated to 0.9.0
- desktop file moved to %%{_applnk}/Graphics
- added BR: libxml-devel
- added %%find_lang
- fixed %%files
- STBR

Revision 1.14  2002/02/25 04:57:19  kloczek
- added 'rm -f missing" on top %build and few cosmetics.

Revision 1.13  2002/02/23 23:08:09  filon
- updated to 0.8.6
- whole spec rewritten
- added makefile patch

Revision 1.12  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:15:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/10/03 09:46:11  qboosh
- some spec fixes, updated URL, added Source URL (note: 0.8.3 available)

Revision 1.9  2001/05/03 01:14:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.8  2000/08/07 23:07:49  baggins
- spec adapterized

Revision 1.7  2000/06/09 07:55:12  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/02 21:23:25  baggins
- fixed version, minor cleanup

Revision 1.4  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.2  1999/11/27 14:24:10  kloczek
- adapter(ized) and partialy rewrited.

* Mon Oct 18 1999 Robert Gasch <Robert_Gasch@peoplesoft.com>
- first spec file
